Bug 1740995 - python-simplevisor depends on Python 2
Summary: python-simplevisor depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-simplevisor
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: lionel.cons
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-14 05:01 UTC by Lumír Balhar
Modified: 2019-08-26 09:55 UTC (History)
3 users (show)

Fixed In Version: python-simplevisor-1.2-16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-26 09:55:49 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-14 05:01:23 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for python-simplevisor's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to python-simplevisor.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-08-21 13:20:47 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 2 lionel.cons 2019-08-22 09:37:54 UTC
A new Python 3 only release of https://github.com/cern-mig/python-simplevisor will be available in the coming weeks.

Then a new Python 3 only package can be built from it.

Comment 3 lionel.cons 2019-08-23 12:13:23 UTC
In fact, the current software (1.2) works fine in a Python 3 only environment.

What is needed is probably only the spec file to stop generating the python2-simplevisor rpm. Could you please confirm?

Also, should the generated rpm be python3-simplevisor (like now) or should it be renamed to python-simplevisor?

Comment 4 Lumír Balhar 2019-08-26 08:23:47 UTC
I can confirm that the only thing you need to do is to remove python2- subpackage (nothing depends on it in Fedora). You can keep python3- subpackage as is.

Comment 5 lionel.cons 2019-08-26 09:55:49 UTC
The latest build (https://koji.fedoraproject.org/koji/buildinfo?buildID=1364231) removed the python2- subpackage.


Note You need to log in before you can comment on or make changes to this bug.